Subject: bug#38738: closed (Re: bug#38738: [PATCH WIP] etc: Add "tarball" snippet.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 19 May 2022 21:26:04 +0000

Your bug report

#38738: [PATCH WIP] etc: Add "tarball" snippet.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38738: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=38738
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#38738: [PATCH WIP] etc: Add "tarball" snippet.
From: zimoun <[email-masked]>
To: Pierre Neidhardt <[email-masked]>
Cc: [email-masked], Brett Gilio <[email-masked]>
Date: Thu, 19 May 2022 23:20:58 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Tue, 12 Apr 2022 at 12:40, zimoun <[email-masked]> wrote:
> On Thu, 27 Feb 2020 at 11:14, Pierre Neidhardt <[email-masked]> wrote:
>
> The last interaction of this patch #38738 [1] from 2 years, 6 weeks, 2
> days ago ends with:
>
>> Looks good to me!
>
> and since it is still a WIP, I propose to close it.

Therefore, I am closing.

Cheers,
simon

Subject: [PATCH WIP] etc: Add "tarball" snippet.
From: Brett Gilio <[email-masked]>
To: [email-masked]
Date: Tue, 24 Dec 2019 23:48:16 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

This patch is actually a WIP. I'd ideally like it if it could also
detect the addition of `(git-file-name ...)` and add that to the
sub-header commit message portion, but I am not so talented in Yasnippet
creation :).

If anybody wants to take a crack at it, please do. But I think this
snippet will prove useful as we will almost always have unstable
tarballs coming into our sources.

>From f4b14a47e3741c107ea83e2717674c8a032f8dba Mon Sep 17 00:00:00 2001
From: Brett Gilio <[email-masked]>
Date: Tue, 24 Dec 2019 23:42:27 -0600
Subject: [PATCH] etc: Add "tarball" snippet.

* etc/snippets/text-mode/guix-commit-message-unstable-tarball: New file.
---
 .../text-mode/guix-commit-message-unstable-tarball        | 8 ++++++++
 1 file changed, 8 insertions(+)
 create mode 100644 etc/snippets/text-mode/guix-commit-message-unstable-tarball

diff --git a/etc/snippets/text-mode/guix-commit-message-unstable-tarball b/etc/snippets/text-mode/guix-commit-message-unstable-tarball
new file mode 100644
index 0000000000..e82f522e54
--- /dev/null
+++ b/etc/snippets/text-mode/guix-commit-message-unstable-tarball
@@ -0,0 +1,8 @@
+# -*- mode: snippet -*-
+# name: guix-commit-message-unstable-tarball
+# key: tarball
+# condition: git-commit-mode
+# --
+gnu: $1: Don't use unstable tarball.
+
+* `(car (magit-staged-files))` ($1)[source]: Download using GIT-FETCH.
\ No newline at end of file
-- 
2.24.1